# PCGetFactoredMatrix

Gets the factored matrix from the preconditioner context. This routine is valid only for the LU, incomplete LU, Cholesky, and incomplete Cholesky methods.

### Synopsis

    #include "petscksp.h"
    PetscErrorCode PETSCKSP_DLLEXPORT PCGetFactoredMatrix(PC pc,Mat *mat)

Not Collective on PC though Mat is parallel if PC is parallel

### Input Parameters

pc -the preconditioner context

### Output parameters

mat -the factored matrix

Notes: Does not increase the reference count for the matrix so DO NOT destroy it

### Keywords

PC, get, factored, matrix

Level:advanced
Location: src/ksp/pc/interface/precon.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ksp/pc/examples/tutorials/ex1.c.html
src/ksp/pc/examples/tutorials/ex2.c.html
src/ksp/ksp/examples/tutorials/ex10.c.html